tbb::flow::interface10::receiver< T > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
tbb::flow::interface10::receiver< T > Class Template Referenceabstract

Pure virtual template class that defines a receiver of messages of type T. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface10::receiver< T >:

## Public Types
typedef T | input_type
| The input type of this receiver.
typedef internal::async_helpers< T > ::filtered_type | filtered_type
typedef T | input_type
| The input type of this receiver.
typedef sender< T > | predecessor_type
| The predecessor type for this node.
typedef internal::edge_container < predecessor_type > | built_predecessors_type
typedef built_predecessors_type::edge_list_type | predecessor_list_type
Public Types inherited from tbb::flow::interface10::internal::untyped_receiver
typedef untyped_sender | predecessor_type
| The predecessor type for this node.
typedef internal::edge_container < predecessor_type > | built_predecessors_type
typedef built_predecessors_type::edge_list_type | predecessor_list_type

## Public Member Functions
bool | try_put (const typename internal::async_helpers< T >::filtered_type &t)
| Put an item to the receiver.
bool | try_put (const typename internal::async_helpers< T >::async_type &t)
virtual | ~receiver ()
| Destructor.
bool | try_put (const T &t)
| Put an item to the receiver.
virtual bool | register_predecessor (predecessor_type &)
| Add a predecessor to the node.
virtual bool | remove_predecessor (predecessor_type &)
| Remove a predecessor from the node.
virtual built_predecessors_type & | built_predecessors ()=0
virtual void | internal_add_built_predecessor (predecessor_type &)=0
virtual void | internal_delete_built_predecessor (predecessor_type &)=0
virtual void | copy_predecessors (predecessor_list_type &)=0
virtual size_t | predecessor_count ()=0
Public Member Functions inherited from tbb::flow::interface10::internal::untyped_receiver
virtual | ~untyped_receiver ()
| Destructor.
template<typename X >
bool | try_put (const X &t)
| Put an item to the receiver.

## Protected Member Functions
virtual task * | try_put_task_wrapper (const void *p, bool is_async) __TBB_override
virtual task * | try_put_task (const T &t)=0
| Put item to successor; return task to run the successor if possible.
virtual task * | try_put_task (const T &t)=0
virtual graph & | graph_reference ()=0
virtual void | reset_receiver (reset_flags f=rf_reset_protocol)=0
| put receiver back in initial state
virtual bool | is_continue_receiver ()
Protected Member Functions inherited from tbb::flow::interface10::internal::untyped_receiver
template<typename X >
task * | try_put_task (const X &t)

## Friends
template<typename >
class | internal::async_storage
template<typename , typename >
struct | internal::async_helpers
template<typename R , typename B >
class | run_and_put_task
| put item to successor; return task to run the successor if possible.
template<typename X , typename Y >
class | internal::broadcast_cache
template<typename X , typename Y >
class | internal::round_robin_cache
template<typename U >
class | limiter_node
| put receiver back in initial state
template<typename TT , typename M >
class | internal::successor_cache
template<typename , typename >
class | proxy_dependency_receiver

## Detailed Description

### template<typename T>
class tbb::flow::interface10::receiver< T >

Pure virtual template class that defines a receiver of messages of type T.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.